Skip to main content
GET
/
v2
/
opportunities
/
{opportunityId}
Get a single Opportunity
curl --request GET \
  --url https://api.affinity.co/v2/opportunities/{opportunityId} \
  --header 'Authorization: Bearer <token>'
{
  "id": 1,
  "name": "Horizon Technologies Upsell $10k",
  "listId": 1,
  "listName": "Pipeline Q1 2024",
  "isRestricted": false,
  "isRedacted": false
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

opportunityId
integer<int64>
required

Opportunity ID

Required range: 1 <= x <= 9007199254740991

Response

OK

Opportunity model.

id
integer<int64>
required

The unique identifier for the opportunity

Required range: 1 <= x <= 9007199254740991
Example:

1

name
string
required

The name of the opportunity. When isRedacted is true, the real name is masked and this value is the literal string [Hidden].

Example:

"Horizon Technologies Upsell $10k"

listId
integer<int64>
required

The ID of the list that the opportunity belongs to

Required range: 1 <= x <= 9007199254740991
Example:

1

listName
string
required

The name of the list that the opportunity belongs to

Example:

"Pipeline Q1 2024"

isRestricted
boolean
required

Whether the opportunity is restricted. false for customers without the Restricted Opportunities feature enabled.

Example:

false

isRedacted
boolean
required

Whether the response is redacted because the requesting user does not have access to this restricted opportunity. The real name is masked as [Hidden] when true. Always false when isRestricted is false.

Example:

false